/*------------------------------------------------------------------------------
 * Example main module
 * Copyright (c) 2019 Arm Limited (or its affiliates). All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c
 * Purpose: Main module
 *----------------------------------------------------------------------------*/

#include "main.h"
#include "chip.h"                       // Keil::Device:LPCOpen
#include "Board_GLCD.h"                 // ::Board Support:Graphic LCD

/*------------------------------------------------------------------------------
 * main function
 *----------------------------------------------------------------------------*/
int main(void) {
  /* Set MCLK out to PLL / 4 = 24.576 MHz, for audio codec 
     I2S for audio codec needs 6.144 MHz clock to generate 
     16-bit stereo sound at 16000 samples per second                         */
  Chip_Clock_SetMCLKClockSource (SYSCON_MCLKSRC_PLL, 4);
  SystemCoreClockUpdate();                      // Update SystemCoreClock

  GLCD_Initialize ();                           // Initialize Graphical LCD

  osKernelInitialize ();                        // Initialize CMSIS-RTOS2
  osThreadNew (app_main, NULL, &app_main_attr); // Create application main thread
  osKernelStart ();                             // Start thread execution

  for (;;) {}
}
